package diffusioncalculator;

import java.util.ArrayList;

public class ReadModel {

	// Declare lists and other variables
	String[] values;
	ArrayList<Float> time;
	ArrayList<Float> current;
	String temp;

	// Make instances
	public ReadModel() {
		time = new ArrayList<Float>();
		current = new ArrayList<Float>();
	}

	// Assign values to lists
	public void read(String line, int startTime) {
		values = line.split("\t");
		time.add(Float.parseFloat(values[2]) - startTime);

		// Replace commas with dots to make parsing possible
		temp = values[4].replaceAll(",", ".");
		try {
			current.add(Float.parseFloat(temp));
		}

		// Handle exception
		catch (NumberFormatException ex) {
			current.add(Float.parseFloat("0"));
		}
	}
}
