package diffusioncalculator;
import java.util.ArrayList;

import org.jfree.data.xy.XYSeries;
import org.jfree.data.xy.XYSeriesCollection;


public class PermeationChartModel {

	// Declaring lists and variables
	XYSeriesCollection dataset;
	public ArrayList<Float> time;
	public ArrayList<Float> current;
	XYSeries series;
	
	// Constructor initializing the data set
	public PermeationChartModel(ArrayList<Float> inputTime,
			ArrayList<Float> inputCurrent){
		time = inputTime;
		current = inputCurrent;
		series = new XYSeries("Permation Current Curve");

		// Adding x and y values to the series
		for (int i = 0; i < time.size(); i++) {
			series.add(time.get(i), current.get(i));
		}

		// Adding the series to the data set
		dataset = new XYSeriesCollection();
		dataset.addSeries(series);
	}
	
}
