
package diffusioncalculator;
import java.awt.Toolkit;

/* Class containing global constants used by other classes
 * to perform calculations and setting layout*/
public class Util {
	
	// Setting specimen areal
	public static final float AREAL = (float) 4.4;
	
	// Setting Faradays constant
	public static final int FARADAY = 96485;
	
	// Setting different constants
	public static final float DLCOFF = (float) 7.23E-04;
	public static final float Q = (float) 5690;
	public static final float R = (float) 8.314;
	
	// Declaring toolkit, to be used to get screensize
	static Toolkit tk = Toolkit.getDefaultToolkit();
	public static final int XSIZE = ((int) tk.getScreenSize().getWidth());
	public static final int YSIZE = ((int) tk.getScreenSize().getHeight());
	
	// Setting mass of Hydrogen
	public static final float HMASS = (float) 1.0079;
}
