package diffusioncalculator;

import java.util.ArrayList;

/* Doing all the reading and parsing
 * from the file chosen through the
 * ReadView class. */
public class ReadModel {

	// Declaring lists to hold relevant data read from the file
	ArrayList<Float> time;
	ArrayList<Float> current;
	
	// Declaring a string array for each line, and a
	// temporary value manipulating the current value 
	String temp;
	String[] values;

	// Make instances of the ArrayLists 
	public ReadModel() {
		time = new ArrayList<Float>();
		current = new ArrayList<Float>();
	}

	// Assign values to lists
	public void read(String line, int startTime) {
		values = line.split("\t");
		time.add(Float.parseFloat(values[2]) - startTime);

		// Replace commas with dots to make parsing possible
		temp = values[4].replaceAll(",", ".");
		try {
			current.add(Float.parseFloat(temp));
		}

		// Handle exception
		catch (NumberFormatException ex) {
			current.add(Float.parseFloat("0"));
		}
	}
}
