package diffusioncalculator;
import java.util.ArrayList;

import org.jfree.data.xy.XYSeries;
import org.jfree.data.xy.XYSeriesCollection;


public class CurrentChartModel {

	// Declaring lists and variables
	XYSeriesCollection dataset;
	public ArrayList<Float> time;
	public ArrayList<Float> current;
	XYSeries series1;
	double scaleCurrent;
	
	// Constructor initializing the data set
	public CurrentChartModel(ArrayList<Float> inputTime,
			ArrayList<Float> inputCurrent){
		time = inputTime;
		current = inputCurrent;
		series1 = new XYSeries("Current/Time Curve");

		// Adding x and y values to the series
		for (int i = 0; i < time.size(); i++) {
			scaleCurrent = current.get(i)*1000000;
			series1.add((double)(time.get(i)), scaleCurrent);
		}

		// Adding the series to the data set
		dataset = new XYSeriesCollection();
		dataset.addSeries(series1);
	}
	
}
